<?php
/** 
 *   This file provides the textual interface of WikkiTikkiTavi
 * For more information see http://tavi.sourceforge.net/TaviTranslation
 *
 *   This file is divided into the sections according to subdirectories of 
 * where the constants are used. So that the constant PARSE_RecentChanges are
 * to be found somewhere within the parse-subdirectory.
 *
 *   See http://tavi.sourceforge.net/TaviTranslation for notes on how to 
 * translate the file into another language, and how to publish your changes.
 * Please do contribute to make 'Tavi available in multiple languages. 
 *   The gist of translation, is to copy this file and translate it. Store the
 * resulting work as lang_XX.php, where XX denotes the two characters used to
 * describe the language. And after that to add a line like the following to
 * your config.php:
 *   define(LANGUAGE_CODE, 'fr');
 * Using 'fr' for the french version, if available.
 */

/* General messages */
define('GEN_ErrorSuffix', 
       '<br />Per un aiuto, contatta l\'<a href="mailto:' . 
       $Admin . '">amministratore</a>.');

/* action-directory */
define('ACTION_RateControlIpBlocking', 'Controllo accessi / Blocco IP disabilitato');
define('ACTION_LockUnlockPages', 'Blocco / Sblocco pagine');
define('ACTION_BLockUnblockHosts', 'Blocco / Sblocco numero IP');
define('ACTION_ErrorNameMatch',
       'Hai inserito uno username invalido.' . GEN_ErrorSuffix);
define('ACTION_ErrorAdminDisabled',
       'Le funzioni di amministrazioni risultano disabilitate.'.GEN_ErrorSuffix);
define('ACTION_ErrorPageLocked',
       'La pagina risulta bloccata, ovvero non editabile.' . GEN_ErrorSuffix);

/* lib-directory */
define('LIB_ErrorDatabaseQuery', 
       'Errore nell\'esecuzione della query.' . GEN_ErrorSuffix);
define('LIB_ErrorDatabaseConnect', 
       'Errore di connessione al database.' . GEN_ErrorSuffix); 
define('LIB_ErrorDatabaseSelect', 
       'Errore selezione database.' . GEN_ErrorSuffix); 
define('LIB_ErrorCreatingTemp', 
       'Errore creazione file temporaneo.' . GEN_ErrorSuffix);
define('LIB_ErrorWritingTemp',
       'Errore scrittura file temporaneo.' . GEN_ErrorSuffix);
// The next two entries are parsed through the wiki engine, so leave the \'\'
// to get bolded entries... And the escaping of $!DiffCmd...   ;)
define('LIB_NoDiffAvailableSafeMode',
       '\'\'Impossibile calcolare le differenze, a causa di un errata locazione del comando diffcmd. Deve essere '.
       'inserito dentro '. ini_get("safe_mode_exec_dir") .
       'ma risulta locato in '. $DiffCmd .'. Per favore muovere diffcmd oppure '.
       'notifica l\'amministratore affinch&eacute; crei un link simbolico dentro questa directory. Inoltre '.
       'ricorda di cambiare la configurazione di $!DiffCmd .\'\'');       
define('LIB_NoDiffAvailable',
       '\'\'Diff non disponibile. $!DiffCmd punta a ' . $DiffCmd .
       ' che non esiste o non risulta leggibile\'\'');
define('LIB_ErrorDeniedAccess',
       'L\'accesso a wiki ti &egrave; stato negato.' . GEN_ErrorSuffix);
define('LIB_ErrorRateExceeded',
       'Hai superato il numero max di visite consentite '.
       'nel periodo di tempo.  A presto.' . GEN_ErrorSuffix);
define('LIB_ErrorInvalidPage',
       'Nome pagina invalida.' . GEN_ErrorSuffix);

/* parse-directory */
define('PARSE_Added', 'Nuova: ');
define('PARSE_Changed', 'Modificata: ');
define('PARSE_Deleted', 'Rimossa: ');
define('PARSE_Never', 'Mai'); 
// The next two entries, are joined with a counting variable inbetween
define('PARSE_CompleteListStart', 'Visita la lista completa (');
define('PARSE_CompleteListEnd',   ' occorrenze)');
define('PARSE_RecentChanges', 'UltimeModifiche');
define('PARSE_Locked', 'Bloccata');
define('PARSE_BlockedRange', 'Range indirizzi IP bloccati');
define('PARSE_EnterIpRange', 
       'Inserisci range indirizzi IP nella forma <tt>12.*</tt>, <tt>34.56.*</tt>, o ' .
       '<tt>78.90.123.*</tt>');
define('PARSE_EmptyToBeDeleted',
       ' ** Vuoto, programmato per la cancellazione ** ');
define('PARSE_From', 'da'); //ie. SomeThing *from* WantedPages, MacroSomePage
define('PARSE_ButtonBlock', 'Blocca');
define('PARSE_ButtonUnblock', 'Sblocca');
define('PARSE_ButtonSave', 'Salva');
define('PARSE_ButtonPreview', 'Anteprima');
define('PARSE_Preferences', 'Preferenze');
define('PARSE_History', 'history'); // note lowercase first character

/* Template directory */
// Note the change to use only TMPL_ as prefix instead of full TEMPLATE_
define('TMPL_Administration', 'Amministrazione');
define('TMPL_EditDocument', 'Modifica documento');
define('TMPL_NoEditDocument', 'Questo documento non risulta modificabile');
define('TMPL_EditArchiveVersion', 
       'Edita questa <em>VERSIONE ARCHIVIATA</em> del documento');
// Next entry is followed by a date as produced by html_time()
define('TMPL_ViewDocHistory', 'Visualizza modifiche documento');
define('TMPL_DocLastModified', 'Ultima modifica al documento');
define('TMPL_TwinPages', 'Pagine doppie:');
define('TMPL_Search', 'Cerca:');
define('TMPL_Editing', 'Modifica');
define('TMPL_WarningOtherEditing',
       'Attenzione: da quando hai iniziato la modifica, questo documento &egrave; stato cambiato '.
       'da qualcun altro.  per favore unisci le tue modifiche alla versione corrente '.
       'di questo documento.' );
define('TMPL_CurrentVersion', 'Versione Corrente');
define('TMPL_ButtonSave', 'Salva');
define('TMPL_ButtonPreview', 'Anteprima');
define('TMPL_YourUsername', 'Il tuo username &egrave;');
define('TMPL_VisitPrefs', 
       'Visita <a href="'. $PrefsScript. '">Preferenze</a> per impostare '.
       'il tuo username');
define('TMPL_SummaryOfChange', 'Lista modifiche:');
define('TMPL_AddToCategory', 'Aggiungi documento alla categoria:');
define('TMPL_YourChanges', 'Le tue modifiche');
define('TMPL_PreviewCurrentVersion', 'Anteprima della Versione Corrente');
define('TMPL_DifferencesIn', 'Differenze In');
define('TMPL_DifferenceBetweenVersions', 'Differenze fra versioni:');
define('TMPL_Find', 'Cerca');
define('TMPL_HistoryOf', 'History di');
define('TMPL_Older', 'Pi&ugrave; vecchio');
define('TMPL_Newer', 'Pi&ugrave; recente');
define('TMPL_ButtonComputeDifference', 'Calcola Differenze');
define('TMPL_ChangesLastAuthor', 'Cambiamenti dall\'ultimo autore:');
define('TMPL_Prefs', 'Preferenze');
define('TMPL_Previewing', 'Visualizza Anteprima');
define('TMPL_Preview', 'Anteprima');

?>
